<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style>
		img{
			width: 30%;
			height: 30%;
		}
		@media (min-width: 1200px) {
   			 p {
     		  -webkit-column-count: 4;
     		   -webkit-column-gap: 40px; 
     		   -webkit-column-rule: 2px solid red;
    			}
    		img{
    			width: 50%;
    			height: 50%;
    		}
    	}
    	@media (min-width: 801px) and (max-width: 1200px){
			 p {
     		  -webkit-column-count: 3;
     		   -webkit-column-gap: 40px; 
     		   -webkit-column-rule: 2px solid red;
    			}
    		img{
    			width: 20%;
    			height: 20%;
    			}		
		}
		@media (max-width: 800px){
			body p {
     		  -webkit-column-count: 1;
     		   -webkit-column-gap: 40px; 
     		   -webkit-column-rule: 2px solid red;
    			}
    		body img{
    				display: none; 
				}
		}
	</style>
</head>
<body>
	<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae ducimus totam omnis earum atque repellat. Optio quo repellendus, voluptatibus at modi nulla, quasi quae tenetur provident quibusdam earum iure quidem. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Atque accusantium porro fuga, quisquam ducimus officiis perspiciatis, non delectus molestiae deserunt ea, labore similique commodi ipsam quibusdam tenetur sequi, rem tempore! Lorem ipsum dolor sit amet, consectetur adipisicing elit. Adipisci facere, ratione ipsam corrupti voluptatem qui mollitia optio vel, ex. Odit molestias libero, rem ut quo eveniet ea itaque voluptatem consectetur? Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore similique, ratione voluptatibus perspiciatis sint corrupti et quae quaerat distinctio, ab numquam odio. Laudantium perferendis cupiditate, a vero similique eum itaque!</p>
	<img src="https://static.affinity-petcare.com/advance/cdn/farfuture/lfQ2_d6TvQiWs0pxBXF2KAyLU66sNa832iNM9Vbolp0/drupal-cache:ooz8ye/sites/default/files/img_gatitos_body.png" >
 	<img src="http://www.nutricionistadegatos.com/wp-content/uploads/2015/04/Gatito.jpg" >
 	<img src="http://www.catsconnexion.com/images/header-cats/dreamstime_m_15037384.png" >
</body>
</html>